Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2176 - gmc freezes X.
Summary: gmc freezes X.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: aboot
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Federico Musto
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-14 11:31 UTC by Kjartan Maraas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-08 22:19:01 UTC


Attachments (Terms of Use)

Description Kjartan Maraas 1999-04-14 11:31:11 UTC
Here is a way to freeze gmc, and X. I have to do
ctrl-alt-backspace,
or go to a console and kill gmc to get things going again.

The mouse is a MS-intellimouse if that matters.

- right-click the background
- click the "new" area of the dialog many times with left,
right
  and both buttons at the same time.

Start over until in the end gmc freezes.

After doing ctrl-alt-backspace there was a nice core-file
sitting in
the lower left corner. This is from gdb:

#0  0x40420131 in __kill ()
#1  0x4041fd86 in raise (sig=6) at
../sysdeps/posix/raise.c:27
#2  0x40421467 in abort () at ../sysdeps/generic/abort.c:88
#3  0x403db671 in g_logv ()
#4  0x403db722 in g_log ()
#5  0x402a2ae5 in gdk_x_io_error ()
#6  0x4030aa5d in _XIOError ()
#7  0x4030859e in _XRead ()
#8  0x40307fb3 in _XEventsQueued ()
#9  0x402fc998 in XPending ()
#10 0x402ae938 in gdk_event_prepare ()
#11 0x403d9563 in g_main_iterate ()
#12 0x403d9979 in g_main_run ()
#13 0x4020ae3a in gtk_main ()
#14 0x809d22c in gtkrundlg_event ()
#15 0x8068feb in run_dlg ()
#16 0x809d44c in dialog_panel_callback ()
#17 0x809d469 in create_panels ()
#18 0x80667e1 in suspend_cmd ()
#19 0x8066df7 in midnight_callback ()
#20 0x8067860 in main ()
#21 0x40419cd3 in __libc_start_main (main=0x806757c <main>,
argc=5,
    argv=0xbffffba4, init=0x8062058 <_init>, fini=0x80cf1fc
<_fini>,
    rtld_fini=0x4000a180 <_dl_fini>, stack_end=0xbffffb9c)
---Type <return> to continue, or q <return> to quit---
    at ../sysdeps/generic/libc-start.c:78
(gdb)

Cheers
Kjartan Maraas

Comment 1 Kjartan Maraas 1999-04-15 08:25:59 UTC
I just confirmed this after upgrading to 5.9.9. It feels as if it's
harder to trigger, but after clicking away for a while at the
background and the dialog that pops up after right-clicking the
background, it freezes.

Kjartan Maraas


Note You need to log in before you can comment on or make changes to this bug.